package edu.westga;

import java.util.List;

import twitter4j.Tweet;
import twitter4j.TwitterException;
import android.app.ListActivity;
import android.content.Context;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;
import edu.westga.model.tweetAggregator.TweetAggregator;

public class UWGApp extends ListActivity {
	private class TweetListAdapter extends BaseAdapter {
		private List<Tweet> posts;
		private Context mContext;

		public TweetListAdapter(Context context) {
			mContext = context;

			try {
				TweetAggregator aggregator = new TweetAggregator();
				posts = aggregator.doSearch("UWGAthletics");
			} catch (TwitterException e) {
				Log.i("UWGApp", "error fetching tweets", e);
				return;
			}
		}

		@Override
		public int getCount() {
			return posts.size();
		}

		@Override
		public Object getItem(int position) {
			return posts.get(position);
		}

		@Override
		public long getItemId(int position) {
			return position;
		}

		@Override
		public View getView(int position, View convertView, ViewGroup parent) {
			View item;
			item = LayoutInflater.from(mContext).inflate(R.layout.tweet,
					parent, false);
			TextView text = (TextView) item.findViewById(R.id.textView);
			text.setText(posts.get(position).getText());

			return item;
		}

	}

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setListAdapter(new TweetListAdapter(this));
	}
}
